#require "gphys_const_v1"
require "numru/ggraph"
include NumRu

figdir = 'figs'
#Dir::mkdir( figdir )



structdata = Struct.new("SurfTemp14", 
                        :path, :vname, :iyrs, :iyre, :flag3d, :level, :figfn )

SurfTemp02 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/SurfTemp_02LST.nc", 
               "SurfTemp", 
               5, 
               5, 
               "false", 
               [0], 
               'dcl_SurfTemp_ty_02LST' 
             )
SurfTemp14 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/SurfTemp_14LST.nc", 
               "SurfTemp", 
               5, 
               5, 
               "false", 
               [0], 
               'dcl_SurfTemp_ty_14LST' 
             )
Temp02 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/Temp_02LST.nc", 
               "Temp", 
               1, 
               1, 
               "true", 
               [18, 50, 136, 370],
               'dcl_Temp_ty_02LST' 
             )
Temp14 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/Temp_14LST.nc", 
               "Temp", 
               1, 
               1, 
               "true", 
               [18, 50, 136, 370],
               'dcl_Temp_ty_14LST' 
             )
DOD06714 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/DOD067_14LST.nc", 
               "DOD067", 
               5, 
               5, 
               "true", 
               [1.0], 
               'dcl_DOD067_ty_14LST' 
             )
DOD067DM = structdata.new( 
               "../mknc_dm_dod-2012-09-22/out/DOD_dm.nc", 
               "DOD067", 
               5, 
               5, 
               "false", 
               [0], 
               'dcl_DOD067_ty_dm' 
             )
DustMaxHeight14 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/DustMaxHeight_14LST.nc", 
               "DustMaxHeight", 
               5, 
               5, 
               "false", 
               [0], 
               'dcl_DustMaxHeight_ty_14LST' 
             )
DustMaxHeightDM = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/DustMaxHeight_dm.nc", 
               "DustMaxHeight", 
               5, 
               5, 
               "false", 
               [0], 
               'dcl_DustMaxHeight_ty_dm' 
             )

structs = [SurfTemp02, SurfTemp14, Temp02, Temp14, DOD06714, DOD067DM, DustMaxHeight14, DustMaxHeightDM]


for l in 0..(structs.length-1)

  path   = structs[l].path
  vname  = structs[l].vname
  iyrs   = structs[l].iyrs
  iyre   = structs[l].iyre
  flag3d = structs[l].flag3d
  level  = structs[l].level
  figfn  = structs[l].figfn

  for i in 0..(level.length-1)

    p 'path : ' + path
    p 'Level: ' + level[i].to_s

    system('ruby draw_2D3D_zm_ty.rb ' + path + ' ' + vname + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + flag3d + ' ' + level[i].to_s )

#    system("pstoimg -type gif -flip r270 dcl.ps")
    if vname == 'SurfTemp' || 
       vname == 'DOD067'   || 
       vname == 'DustMaxHeight' then
#      com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vname+"_"+"p%0#{2}d.gif", imon )
#      system(com)
      com = sprintf( "mv dcl.ps  "+figdir+"/"+figfn+".ps" )
      system(com)
    elsif vname == 'Temp' then
      com = sprintf( "mv dcl.ps  "+figdir+"/"+figfn+"_p%05d.ps" , level[i] )
      system(com)
    end

  end
end
